#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QtNetwork>

static QString base_url = "http://feedback.os.nfschina.com/bcs/postDesc";
//static QString base_url = "http://192.168.162.142:8080/cdos_frontend";
//static QString base_url = "http://localhost:8080/cdos_frontend";
static QString init_description = "为了保障您的隐私，请确定您的反馈内容中没有包含私密信息。";
namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

private slots:
    void on_pushButton_clicked();
    void addFeedback(QNetworkReply *reply);
    void httpReadyRead();
    void updateDataReadProgress(qint64, qint64);
    void httpFinished();

    void on_checkBox_stateChanged(int arg1);

    void on_textEdit_cursorPositionChanged();

private:
    Ui::Dialog *ui;
    QNetworkAccessManager *manager;
    QNetworkReply *reply;
    QByteArray screenshot;
    QString fileName;
};

#endif // DIALOG_H
